Topic: 802.11n not useable in Backfire on the TP-Link TL-WR1043ND

Hi,

I own a TP-Link TL-WR1043ND v1 and hwmode=11ng is not useable with this box and
OpenWRT. It works with the original firmware, so it shouldn't be a hardware
problem. When I set hwmode to 11g everything works quite well.

Not useable means: almost no bandwidth, max. 3kbit/s

I tried 10.04, 10.04.1-rc4 and compiled then latest (as in yesterday) svn from
backfire.

The only client I tested is a "Intel Corporation Centrino Ultimate-N 6300 (rev
35)" with Debian Squeeze amd64.

This is my wireless configuration:

# uci export wireless
package 'wireless'

config 'wifi-device' 'radio0'
    option 'type' 'mac80211'
    option 'channel' '6'
    option 'macaddr' 'd8:5d:4c:d7:c5:0a'
    option 'hwmode' '11ng'
    option 'htmode' 'HT20'
    list 'ht_capab' 'SHORT-GI-40'
    list 'ht_capab' 'DSSS_CCK-40'
    option 'disabled' '0'

config 'wifi-iface'
    option 'device' 'radio0'
    option 'network' 'lan'
    option 'mode' 'ap'
    option 'ssid' 'insecure'
    option 'encryption' 'psk2'
    option 'key' 'Fancy Password'

What more do you need? Where can I find more information what may be the problem?

-
    Klaus

Re: 802.11n not useable in Backfire on the TP-Link TL-WR1043ND

Have you installed packages kmod-ath9k and wpad-mini?

TP-Link TL-WR1043ND - OpenWrt Wiki - WiFi

Re: 802.11n not useable in Backfire on the TP-Link TL-WR1043ND

yes, otherwise even 11g wouldn't work either.

# opkg install kmod-ath9k wpad-mini
Package kmod-ath9k (2.6.32.27+2010-12-16-2) installed in root is up to date.
Package wpad-mini (20100705-2) installed in root is up to date.

and: yes, the module is loaded

# lsmod | grep ath9k
ath9k                  72208  0 
ath9k_common            1088  1 ath9k
ath9k_hw              255728  2 ath9k,ath9k_common
ath                    13328  2 ath9k,ath9k_hw
mac80211              197056  1 ath9k
cfg80211              117888  3 ath9k,ath,mac80211
compat                  3264  3 ath9k,mac80211,cfg80211

and hostapd is running, too:

# ps ax | grep host
  975 root      1428 S    hostapd -P /var/run/wifi-phy0.pid -B /var/run/hostapd
 4996 root      1352 S    grep host

Re: 802.11n not useable in Backfire on the TP-Link TL-WR1043ND

#7697 (WNDR3700 (ath9k) 2,4GHz N incompatibility with Intel AGN (4965)) – OpenWrt
#7812 (Poor performance on revision 22778 with ath9k) – OpenWrt

Re: 802.11n not useable in Backfire on the TP-Link TL-WR1043ND

#7697  seems to be my problem....

Re: 802.11n not useable in Backfire on the TP-Link TL-WR1043ND

Please try the latest version, it should fix this issue.

Re: 802.11n not useable in Backfire on the TP-Link TL-WR1043ND

Yeah! worksforme!

I compiled "Backfire (10.03, r24928)" and I have already copied ~6GB with 3-7 MB/s over the wireless network from different positions in my appartment and the connection was stable.

This is great! Thank you!